package com.ruoyi.bst.project.domain.dto;

import java.time.LocalDate;

import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProjectStartDTO {

    @ApiModelProperty("项目id")
    @NotNull(message = "项目id不能为空")
    private Long id;

    @ApiModelProperty("预计完成日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @NotNull(message = "预计完成日期不能为空")
    private LocalDate expectedCompleteDate;
}

