package com.ruoyi.bst.task.domain.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskCancelDTO {
    
    @ApiModelProperty("任务ID")
    @NotNull(message = "任务ID不能为空")
    private Long id;

    @ApiModelProperty("取消备注")
    @NotBlank(message = "取消备注不能为空")
    @Size(max = 200, message = "取消备注不能超过200个字符")
    private String cancelRemark;
}
