package com.ruoyi.bst.taskMember.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.taskMember.domain.TaskMemberVO;
import com.ruoyi.bst.taskMember.service.TaskMemberConverter;

@Service
public class TaskMemberConverterImpl implements TaskMemberConverter{

    @Override
    public TaskMemberVO toVoByCreate(TaskMemberVO data) {
        if (data == null) {
            return null;
        }
        TaskMemberVO vo = new TaskMemberVO();
        vo.setUserId(data.getUserId());
        return vo;
    }

    @Override
    public TaskMemberVO toVoByUpdate(TaskMemberVO data) {
        if (data == null) {
            return null;
        }
        TaskMemberVO vo = new TaskMemberVO();
        vo.setId(vo.getId());
        vo.setUserId(data.getUserId());
        return vo;
    }
}
