package com.ruoyi.bst.taskSubmit.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TaskSubmitStatus {
    
    WAIT_CONFIRM("1", "待审核（弃用）"),
    PASS("2", "通过"),
    REJECT("3", "驳回");

    private String code;
    private String name;

    // 允许审核的状态列表
    // public static List<String> canVerify() {
    //     return CollectionUtils.map(TaskSubmitStatus::getCode, WAIT_CONFIRM);
    // }

    // 允许驳回的状态列表
    public static List<String> canReject() {
        return CollectionUtils.map(TaskSubmitStatus::getCode, PASS);
    }



}
