package com.ruoyi.bst.task.domain;

import java.util.List;

import com.ruoyi.bst.projectMember.domain.ProjectMemberVO;
import com.ruoyi.bst.taskMember.domain.TaskMemberVO;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskVO extends Task{

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "创建人名称")
    private String createName;

    @ApiModelProperty(value = "取消人名称")
    private String cancelUserName;

    @ApiModelProperty("提交的成员数量")
    private Integer submitCount;

    @ApiModelProperty("已读的成员数量")
    private Integer receivedCount;

    @ApiModelProperty("是否逾期")
    private Boolean overdue;

    @ApiModelProperty("项目成员列表（需组装）")
    private List<ProjectMemberVO> projectMemberList;

    @ApiModelProperty(value = "成员列表（需组装）")
    private List<TaskMemberVO> memberList;

    @ApiModelProperty(value = "提交列表（需组装）")
    private List<TaskSubmitVO> submitList;
}
