package com.ruoyi.bst.taskSubmit.domain;

import java.util.List;

import com.ruoyi.bst.taskMember.domain.TaskMemberVO;
import com.ruoyi.bst.verify.domain.VerifyVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskSubmitVO extends TaskSubmit {

    @ApiModelProperty("审核信息")
    private VerifyVO verify;

    @ApiModelProperty("提交人名称")
    private String userName;

    @ApiModelProperty("提交人头像")
    private String userAvatar;

    @ApiModelProperty("任务状态")
    private String taskStatus;

    @ApiModelProperty("任务描述")
    private String taskDescription;

    @ApiModelProperty("任务创建人ID")
    private Long taskCreateId;

    @ApiModelProperty("任务负责人列表")
    private List<TaskMemberVO> taskMemberList;
}
