package com.ruoyi.dashboard.index.domain.brief;

import lombok.Data;

/**
 * @author wjh
 * 2025/2/24
 */
@Data
public class BriefKeys {

    // 项目
    // 项目状态
    public static final String PROJECT_STATUS = "projectStatus";
    // 项目开发完成
    public static final String PROJECT_DEV_COMPLETED = "projectDevCompleted";
    // 项目开发正常完成
    public static final String PROJECT_DEV_ON_TIME_COMPLETED = "projectDevOnTimeCompleted";
    // 项目逾期开发未完成
    public static final String PROJECT_OVERDUE_DEV_UNCOMPLETED = "projectOverdueDevUncompleted";
    // 项目逾期开发完成
    public static final String PROJECT_OVERDUE_DEV_COMPLETED = "projectOverdueDevCompleted";
    // 项目开发逾期
    public static final String PROJECT_DEV_OVERDUE = "projectDevOverdue";
    // 开发即将到期项目
    public static final String PROJECT_DEV_SOON_EXPIRE = "projectDevSoonExpire";

    // 任务
    // 状态数据
    public static final String TASK_STATUS = "taskStatus";
    // 类型分组数据
    public static final String TASK_TYPE = "taskType";
    // 逾期未完成
    public static final String TASK_OVERDUE_UNCOMPLETED = "taskOverdueUncompleted";
    // 逾期完成
    public static final String TASK_OVERDUE_COMPLETED = "taskOverdueCompleted";
    // 今日完成任务
    public static final String TASK_TODAY_COMPLETED = "taskTodayCompleted";
    // 即将到期任务
    public static final String TASK_SOON_EXPIRE = "taskSoonExpire";

    // 客户
    // 状态分组数据
    public static final String CUSTOMER_STATUS = "customerStatus";
    // 今日新增客户
    public static final String CUSTOMER_TODAY_CREATE = "customerTodayCreate";
    // 今日已跟进客户
    public static final String CUSTOMER_TODAY_FOLLOWED = "customerTodayFollowed";
    // 今日待跟进客户
    public static final String CUSTOMER_TODAY_WAIT_FOLLOW = "customerTodayWaitFollow";
    // 即将跟进客户
    public static final String CUSTOMER_SOON_FOLLOW = "customerSoonFollow";
}
