package com.ruoyi.dashboard.project.domain.monthProject;

import com.ruoyi.bst.project.domain.ProjectQuery;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MonthProjectQuery {

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("数据隔离")
    private Boolean scope;

    public ProjectQuery toProjectQueryByComplete() {
        ProjectQuery query = new ProjectQuery();
        query.setCompleteYear(this.year);
        query.setScope(this.scope);
        return query;
    }

    public ProjectQuery toProjectQueryByStart() {
        ProjectQuery query = new ProjectQuery();
        query.setStartYear(this.year);
        query.setScope(this.scope);
        return query;
    }
}
