package com.ruoyi.system.user.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @author wjh
 * 2024/12/7
 */
@Data
public class SysUserShiftQuery extends SysUserQuery {

    @ApiModelProperty("调班日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate shiftDate;

    @ApiModelProperty("目标部门ID")
    private Long targetDeptId;

}
